% Codigo generado por Andres Roque (Abril del 2007)
% Evolucion de la conversion en funcion de la posicion en un reactor flujo
% piston para distintas cineticas

function ejemplo_tarea

clc % Limpieza del cache de variables en el registro

% Defincion de parametros cineticos

var0= [1]; % vectores de condiciones iniciales (f=1) en ambos casos
var1= [1]; 
var2= [1];

[S1,F1] = ode45(@RFP1,[0 3],var0); % comando de MATLAB para la resolucion de EDO (sistema, intervalo de solucion, condiciones iniciales)
[S2,F2] = ode45(@RFP2,[0 3],var1);
[S3,F3] = ode45(@RFP3,[0 3],var2);

plot(S1,F1,S2,F2,S3,F3); % comando para graficar el par (x,y)
title ('Evolucion de f en funcion de la posicion para diversas cineticas en un RFP'); % titulo del grafico
xlabel ('Posicion'); % Etiqueta del eje x
ylabel ('f'); % Etiqueta del eje y
legend ('primer orden','segundo orden','tercer orden',0); % Reproduce la leyenda del grafico en el mejor lugar disponible
text (0.45,0.4,'n=1');
text (0.26,0.4,'n=2');
text (2,0.15,'n=3');